LDOHSEEK(3X)

NAME
ldohseek - seek to the optional file header of a COFF file

SYNOPSIS
#include <stdio.h>
#include <filehdr.h>
#include <ldfcn.h>

int ldohseek (ldptr)
LDFILE *ldptr;

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

ldohseek() seeks to the optional file header of the COFF file currently associated with ldptr.

ldohsee() returns SUCCESS or FAILURE. ldohseek() will fail if the object file has no optional header or if it cannot seek to the optional header.

The program must be loaded with the object file access routine library libld.a.

SEE ALSO
ldclose(3X), ldfcn(3), ldopen(3X), ldfhread(3X)